Get route log detail (with trace)
GET
/v1/ns/{nsid}/route-logs/{id}
const url = 'https://example.com/v1/ns/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/route-logs/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/ns/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/route-logs/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”nsid
required
string format: uuid
Namespace UUID
id
required
string
Call ULID or leg UUID
Query Parameters
Section titled “Query Parameters”record_id
string
source
string
Responses
Section titled “Responses”OK
Media typeapplication/json
object
success
required
boolean
records
required
Array<object>
object
partition_id
string
sip_call_id
string
schema_version
integer
trace
Raw routing trace JSON
call_ulid
required
string
record_id
required
string
leg_uuid
string
nsid
required
string
at
string format: date-time
source
string
start_context
string
starting_number
string
final_number
string
matched
required
boolean
target_type
string
target_id
string
force_treatment
string
Examplegenerated
{ "success": true, "records": [ { "call_ulid": "example", "record_id": "example", "leg_uuid": "example", "nsid": "example", "at": "2026-04-15T12:00:00Z", "source": "example", "start_context": "example", "starting_number": "example", "final_number": "example", "matched": true, "target_type": "example", "target_id": "example", "force_treatment": "example" } ]}default
Section titled “default”Error response
Media typeapplication/problem+json
RFC 7807 Problem Details
object
type
Problem type slug URI
string
title
string
status
integer
detail
string
key
additional properties
any
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}